Bug 490167 (CVE-2009-1093) - CVE-2009-1093 OpenJDK remote LDAP Denial-Of-Service (6717680)
Summary: CVE-2009-1093 OpenJDK remote LDAP Denial-Of-Service (6717680)
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-1093
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,source=sun,public=20...
Depends On: 490182 490183 492325 492326 492328 492329 500582 500583 506910 506911 540443
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-03-13 16:34 UTC by Marc Schoenefeld
Modified: 2019-06-08 12:42 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-10-12 13:48:28 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0377 normal SHIPPED_LIVE Important: java-1.6.0-openjdk security update 2009-04-07 18:36:36 UTC
Red Hat Product Errata RHSA-2009:0392 normal SHIPPED_LIVE Critical: java-1.6.0-sun security update 2009-03-26 16:03:31 UTC
Red Hat Product Errata RHSA-2009:0394 normal SHIPPED_LIVE Critical: java-1.5.0-sun security update 2009-03-26 16:06:57 UTC
Red Hat Product Errata RHSA-2009:1038 normal SHIPPED_LIVE Critical: java-1.5.0-ibm security update 2009-05-18 20:28:11 UTC
Red Hat Product Errata RHSA-2009:1198 normal SHIPPED_LIVE Critical: java-1.6.0-ibm security update 2009-08-06 21:29:56 UTC
Red Hat Product Errata RHSA-2009:1662 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server Sun Java Runtime security update 2009-12-11 13:42:50 UTC
Red Hat Product Errata RHSA-2010:0043 normal SHIPPED_LIVE Low: Red Hat Network Satellite Server IBM Java Runtime security update 2010-01-14 16:32:02 UTC

Comment 2 Marc Schoenefeld 2009-03-26 10:06:39 UTC
The LdapCtx in the LDAP service in Java SE Development Kit (JDK) and Java Runtime Environment (JRE) does not close the connection when initialization fails, which allows remote attackers to cause a denial of service (LDAP service hang).

5.0 Update 17 and earlier; 
6 Update 12 and earlier; 
SDK and JRE 1.3.1_24 and earlier; 
and 1.4.2_19 and earlier

Comment 5 errata-xmlrpc 2009-03-26 16:03:34 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0392 https://rhn.redhat.com/errata/RHSA-2009-0392.html

Comment 6 errata-xmlrpc 2009-03-26 16:06:51 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:0394 https://rhn.redhat.com/errata/RHSA-2009-0394.html

Comment 7 errata-xmlrpc 2009-04-07 18:36:45 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2009:0377 https://rhn.redhat.com/errata/RHSA-2009-0377.html

Comment 9 errata-xmlrpc 2009-05-18 20:28:37 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1038 https://rhn.redhat.com/errata/RHSA-2009-1038.html

Comment 11 errata-xmlrpc 2009-08-06 21:30:52 UTC
This issue has been addressed in following products:

  Extras for RHEL 4
  Extras for Red Hat Enterprise Linux 5

Via RHSA-2009:1198 https://rhn.redhat.com/errata/RHSA-2009-1198.html

Comment 13 errata-xmlrpc 2009-12-11 13:43:15 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.1

Via RHSA-2009:1662 https://rhn.redhat.com/errata/RHSA-2009-1662.html

Comment 14 errata-xmlrpc 2010-01-14 16:32:33 UTC
This issue has been addressed in following products:

  Red Hat Network Satellite Server v 5.3

Via RHSA-2010:0043 https://rhn.redhat.com/errata/RHSA-2010-0043.html


Note You need to log in before you can comment on or make changes to this bug.